%define api_version 1
%define lib_major   0

Summary: Library used to monitor application startup
Name: startup-notification
Version: 0.5
Release: 1mdk
License: LGPL
Group: System/Libraries
URL: http://www.freedesktop.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.3/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: XFree86-devel

%description
Startup-notification is a library used to monitor application startup.

%package -n lib%{name}-%{api_version}_%{lib_major}
Summary:	Library used to monitor application startup
Group:		%{group}

%description -n lib%{name}-%{api_version}_%{lib_major}
Startup-notification is a library used to monitor application startup.

%package -n lib%{name}-%{api_version}_%{lib_major}-devel
Summary:	Library used to monitor application startup
Group:		Development/C
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	lib%{name}-%{api_version}_%{lib_major} = %{version}-%{release}

%description -n lib%{name}-%{api_version}_%{lib_major}-devel
Startup-notification is a library used to monitor application startup.

%prep
%setup -q

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n lib%{name}-%{api_version}_%{lib_major}

%postun -p /sbin/ldconfig -n lib%{name}-%{api_version}_%{lib_major}

%files -n lib%{name}-%{api_version}_%{lib_major}
%defattr(-,root,root,-)
%doc ChangeLog 
%{_libdir}/*.so.*

%files -n lib%{name}-%{api_version}_%{lib_major}-devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*

%changelog
* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Release 0.5

* Thu Dec  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-1mdk
- Release 0.4

* Mon Nov 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-1mdk
- Initial Mdk package


